Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/KotanchekFunction.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/KotanchekFunction.cs	(revision 7666)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/KotanchekFunction.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 100; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 3025; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
 
@@ -66,5 +66,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialThreeDimensional.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 7666)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "X3", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2", "X3" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "X3", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2", "X3" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 300; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 3700; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
 
@@ -76,5 +76,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialTwoDimensional.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialTwoDimensional.cs	(revision 7666)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RationalPolynomialTwoDimensional.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 50; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 2157; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
 
@@ -67,5 +67,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RippleFunction.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RippleFunction.cs	(revision 7666)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/RippleFunction.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 300; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 1300; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionOneDimensional.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionOneDimensional.cs	(revision 7666)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionOneDimensional.cs	(revision 7682)
@@ -38,6 +38,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 100; } }
@@ -45,5 +45,5 @@
     protected override int TestPartitionEnd { get { return 321; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       data.Add(ValueGenerator.GenerateSteps(0.05, 10, 0.1));
@@ -58,5 +58,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionTwoDimensional.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionTwoDimensional.cs	(revision 7666)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SalutowiczFunctionTwoDimensional.cs	(revision 7682)
@@ -40,6 +40,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 601; } }
@@ -47,5 +47,5 @@
     protected override int TestPartitionEnd { get { return 3155; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       List<List<double>> trainingData = new List<List<double>>() {
@@ -76,5 +76,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SineCosineFunction.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SineCosineFunction.cs	(revision 7666)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/SineCosineFunction.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 30; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 1461; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       List<double> oneVariableTestData = ValueGenerator.GenerateSteps(-0.05, 6.05, 0.02);
@@ -66,5 +66,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs	(revision 7666)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X1", "X2", "X3", "X4", "X5", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X1", "X2", "X3", "X4", "X5" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X1", "X2", "X3", "X4", "X5", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X1", "X2", "X3", "X4", "X5" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 1024; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 6024; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
